@typeparam To
@typeparam Ti
@using Jones.AspNetCore.Utils
@inherits Jones.AspNetCore.Components.Forms.CheckboxesBase<To, Ti>

@if (Options != null)
{
    @for (var i = 0; i < Options.Length; i++)
    {
        var option = Options[i];
        var id = GetId();
        <div class="@Class">
            <input class="form-check-input" type="checkbox" id="@id" @onchange="@(e => CheckboxChanged(e, option))" checked="@GetCheckedString(option)">
            <label class="form-check-label" for="@id">@GetOptionText(option)</label>
        </div>
    
        @if (SpacingClass != null && i != Options.Length - 1)
        {
            <div class="@SpacingClass"></div>
        }
    }
}

@code
{
    [Parameter] 
    public bool? IsInline { get; set; } = true;
        
    protected string? Class => CssBuilder.Default("form-check")
        .AddClass("form-check-inline", IsInline == true)
        .AddClassFromAttributes(AdditionalAttributes)
        .Build();
}
